SQLITE3_STRICMP(3) | Library Functions Manual | SQLITE3_STRICMP(3)

# NAME

`sqlite3_stricmp`, `sqlite3_strnicmp` — string comparison

# SYNOPSIS

`#include <sqlite3.h>`

int
`sqlite3_stricmp`(const char *, const char *);

int
`sqlite3_strnicmp`(const char *, const char *, int);

# DESCRIPTION

The `sqlite3_stricmp`() and `sqlite3_strnicmp`() APIs allow applications and extensions to compare the contents of two buffers containing UTF-8 strings in a case-independent fashion, using the same definition of "case independence" that SQLite uses internally when comparing identifiers.

# IMPLEMENTATION NOTES

These declarations were extracted from the interface documentation at line 9438.

    SQLITE_API int sqlite3_stricmp(const char *, const char *);
    SQLITE_API int sqlite3_strnicmp(const char *, const char *, int);

January 24, 2024 | NetBSD 11.0